commit:     28f0cfe25e3a78db2ce76bc432bae5813e24556e
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 10 23:20:55 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Jan 10 23:40:54 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28f0cfe2

x11-libs/libxkbcommon: Version bump to 1.5.0

* Add RDEPEND on x11-misc/xkeyboard-config (bug #806235)
* Depend on multilib-enabled dev-libs/wayland (bug #823620)
* Install docs to expect path (bug #832826)
* Drop USE=xkb dependency on libxcb (bug #875980)

Closes: https://bugs.gentoo.org/806235
Closes: https://bugs.gentoo.org/823620
Closes: https://bugs.gentoo.org/832826
Closes: https://bugs.gentoo.org/875980
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 x11-libs/libxkbcommon/Manifest                  |  1 +
 x11-libs/libxkbcommon/libxkbcommon-1.5.0.ebuild | 69 +++++++++++++++++++++++++
 x11-libs/libxkbcommon/metadata.xml              |  2 +-
 3 files changed, 71 insertions(+), 1 deletion(-)

diff --git a/x11-libs/libxkbcommon/Manifest b/x11-libs/libxkbcommon/Manifest
index 503abece062a..1c8c24c3c395 100644
--- a/x11-libs/libxkbcommon/Manifest
+++ b/x11-libs/libxkbcommon/Manifest
@@ -1 +1,2 @@
 DIST libxkbcommon-1.4.1.tar.xz 471824 BLAKE2B 
a784f3612bb52abb79bf1a2ddd3e7709fa52eddce5cabcf8520ed7df8ec8ea557e51205e1e9d116a0b31eb27b1f3bca33144318c5f01be7312cbb3e48f687fbe
 SHA512 
757b340aeab6d187917807a88015b5113475ab2172aaaa8e530b40ea60619b3fbdfa668fd62707d66ed8fb763e68fee19394fcbd519af7c01d8975c59fdf0d89
+DIST libxkbcommon-1.5.0.tar.xz 472700 BLAKE2B 
5dcfb514c297f71629f20b444cb29c5d26ce9def1c1173a125fb0c0c259d76194fcef7a407d8efda2d2d87c9b90abac34e2fc1742cfd6053df511a3ef205c8ef
 SHA512 
bbba6665f052c04c7450413cc5e2badd6bfd41326b0e4c60e3ec01d730cae695fd34ce2662b8a91ece7a76b974a0ea330f7462dd5d2db148b0d0da26264ced9c

diff --git a/x11-libs/libxkbcommon/libxkbcommon-1.5.0.ebuild 
b/x11-libs/libxkbcommon/libxkbcommon-1.5.0.ebuild
new file mode 100644
index 000000000000..3d39d2917fd0
--- /dev/null
+++ b/x11-libs/libxkbcommon/libxkbcommon-1.5.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+if [[ ${PV} = *9999* ]]; then
+       GIT_ECLASS="git-r3"
+       EGIT_REPO_URI="https://github.com/xkbcommon/${PN}";
+else
+       SRC_URI="https://xkbcommon.org/download/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit meson-multilib ${GIT_ECLASS} python-any-r1 virtualx
+
+DESCRIPTION="keymap handling library for toolkits and window systems"
+HOMEPAGE="https://xkbcommon.org/ https://github.com/xkbcommon/libxkbcommon/";
+LICENSE="MIT"
+IUSE="doc static-libs test tools wayland X"
+RESTRICT="!test? ( test )"
+SLOT="0"
+
+BDEPEND="
+       sys-devel/bison
+       doc? ( app-doc/doxygen )
+       test? ( ${PYTHON_DEPS} )
+       wayland? ( dev-util/wayland-scanner )
+"
+RDEPEND="
+       X? ( >=x11-libs/libxcb-1.10:=[${MULTILIB_USEDEP}] )
+       wayland? ( >=dev-libs/wayland-1.2.0[${MULTILIB_USEDEP}] )
+       dev-libs/libxml2[${MULTILIB_USEDEP}]
+       x11-misc/compose-tables
+       x11-misc/xkeyboard-config
+"
+DEPEND="${RDEPEND}
+       X? ( x11-base/xorg-proto )
+       wayland? ( >=dev-libs/wayland-protocols-1.12 )
+"
+
+pkg_setup() {
+       if use test; then
+               python-any-r1_pkg_setup
+       fi
+}
+
+multilib_src_configure() {
+       local emesonargs=(
+               -Ddefault_library="$(usex static-libs both shared)"
+               -Dxkb-config-root="${EPREFIX}/usr/share/X11/xkb"
+               $(meson_native_use_bool tools enable-tools)
+               $(meson_use X enable-x11)
+               $(meson_native_use_bool doc enable-docs)
+               $(meson_use wayland enable-wayland)
+       )
+       meson_src_configure
+}
+
+multilib_src_test() {
+       virtx meson_src_test
+}
+
+multilib_src_install_all() {
+       if use doc; then
+               mv "${ED}"/usr/share/doc/{${PN},${P}} || die
+       fi
+}

diff --git a/x11-libs/libxkbcommon/metadata.xml 
b/x11-libs/libxkbcommon/metadata.xml
index 887150f5375a..9f2f9f386d67 100644
--- a/x11-libs/libxkbcommon/metadata.xml
+++ b/x11-libs/libxkbcommon/metadata.xml
@@ -10,6 +10,6 @@
   </use>
   <upstream>
     <remote-id type="cpe">cpe:/a:xkbcommon:libxkbcommon</remote-id>
-    <remote-id type="freedesktop-gitlab">xkbcommon/libxkbcommon</remote-id>
+    <remote-id type="github">xkbcommon/libxkbcommon</remote-id>
   </upstream>
 </pkgmetadata>

Reply via email to